epp_AuthInfo (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_AuthInfo class

### org.openrtk.idl.epprtk

# Class epp_AuthInfo

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_AuthInfo`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_AuthInfo`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the authorization information required to authorize transfer requests to the EPP server. The authorization information must be provided by client when creating EPP Domain and Contact objects. Currently, only one type is permitted: PW (password). $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_AuthInfo.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_TransferRequest`, `epp_DomainCreateReq`, `epp_DomainUpdateChange`

  ## Field Summary
  `String` | `m_roid` The authorizing object's repository object identifier.
  `epp_AuthInfoType` | `m_type` The authorization information type.
  `String` | `m_value` The authorizing object's passphrase.

  ## Constructor Summary
  `epp_AuthInfo()` Empty constructor
  `epp_AuthInfo(epp_AuthInfoType _m_type, String _m_roid, String _m_value)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getRoid()` Accessor method for the authorizing object's repository object identifier
  `epp_AuthInfoType` | `getType()` Accessor method for the authorization information type
  `String` | `getValue()` Accessor method for the authorizing object's passphrase
  `void` | `setRoid(String value)` Accessor method for the authorizing object's repository object identifier
  `void` | `setType(epp_AuthInfoType value)` Accessor method for the authorization information type
  `void` | `setValue(String value)` Accessor method for the authorizing object's passphrase
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_roid

    public String m_roid

> The authorizing object's repository object identifier. Only used in transfer requests and only if the registry permits "third-party" authorization for a transfer. That is, for example, using an admin contact's auth info to authorize a transfer of a domain to which it is associated. Note, that no currently existing registries support this option.
> See Also:
>   `setRoid(String)`, `getRoid()`

### m_type

    public epp_AuthInfoType m_type

> The authorization information type.
> See Also:
>   `setType(epp_AuthInfoType)`, `getType()`

### m_value

    public String m_value

> The authorizing object's passphrase. If the m_roid value is null, then the current object is the authorizing object.
> See Also:
>   `setValue(String)`, `getValue()`

## Constructor Details

### epp_AuthInfo

    public epp_AuthInfo()

> Empty constructor

### epp_AuthInfo

    public epp_AuthInfo(epp_AuthInfoType _m_type,
                        String _m_roid,
                        String _m_value)

> The constructor with initializing variables.
> Parameters:
>   `_m_type` - The authorization information type
>   `_m_roid` - The authorizing object's repository object identifier
>   `_m_value` - The authorizing object's passphrase

## Method Details

### getRoid

    public String getRoid()

> Accessor method for the authorizing object's repository object identifier
> Returns:
>   The authorizing object's roid
> See Also:
>   `m_roid`

### getType

    public epp_AuthInfoType getType()

> Accessor method for the authorization information type
> Returns:
>   The authorization information type
> See Also:
>   `m_type`

### getValue

    public String getValue()

> Accessor method for the authorizing object's passphrase
> Returns:
>   The authorizing object's passphrase
> See Also:
>   `m_value`

### setRoid

    public void setRoid(String value)

> Accessor method for the authorizing object's repository object identifier
> Parameters:
>   `value` - The authorizing object's roid
> See Also:
>   `m_roid`

### setType

    public void setType(epp_AuthInfoType value)

> Accessor method for the authorization information type
> Parameters:
>   `value` - The authorization information type
> See Also:
>   `m_type`

### setValue

    public void setValue(String value)

> Accessor method for the authorizing object's passphrase
> Parameters:
>   `value` - The authorizing object's passphrase
> See Also:
>   `m_value`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS